Translation

(itstool) path: sect2/para
When troubleshooting <acronym>HAST</acronym>, the debugging level of <citerefentry><refentrytitle>hastd</refentrytitle><manvolnum>8</manvolnum></citerefentry> should be increased by starting <command>hastd</command> with <literal>-d</literal>. This argument may be specified multiple times to further increase the debugging level. Consider also using <literal>-F</literal>, which starts <command>hastd</command> in the foreground.
0/4300
Context English Turkish (tr_TR) State
<prompt>#</prompt> <userinput>service devd restart</userinput>
When the specified interface state changes by going up or down , the system generates a notification, allowing the <citerefentry><refentrytitle>devd</refentrytitle><manvolnum>8</manvolnum></citerefentry> subsystem to run the specified automatic failover script, <filename>/usr/local/sbin/carp-hast-switch</filename>. For further clarification about this configuration, refer to <citerefentry><refentrytitle>devd.conf</refentrytitle><manvolnum>5</manvolnum></citerefentry>.
Here is an example of an automated failover script:
#!/bin/sh

# Original script by Freddie Cash &lt;fjwcash@gmail.com&gt;
# Modified by Michael W. Lucas &lt;mwlucas@BlackHelicopters.org&gt;
# and Viktor Petersson &lt;vpetersson@wireload.net&gt;

# The names of the HAST resources, as listed in /etc/hast.conf
resources="<replaceable>test</replaceable>"

# delay in mounting HAST resource after becoming master
# make your best guess
delay=3

# logging
log="local0.debug"
name="carp-hast"

# end of user configurable stuff

case "$1" in
master)
logger -p $log -t $name "Switching to primary provider for ${resources}."
sleep ${delay}

# Wait for any "hastd secondary" processes to stop
for disk in ${resources}; do
while $( pgrep -lf "hastd: ${disk} \(secondary\)" &gt; /dev/null 2&gt;&amp;1 ); do
sleep 1
done

# Switch role for each disk
hastctl role primary ${disk}
if [ $? -ne 0 ]; then
logger -p $log -t $name "Unable to change role to primary for resource ${disk}."
exit 1
fi
done

# Wait for the /dev/hast/* devices to appear
for disk in ${resources}; do
for I in $( jot 60 ); do
[ -c "/dev/hast/${disk}" ] &amp;&amp; break
sleep 0.5
done

if [ ! -c "/dev/hast/${disk}" ]; then
logger -p $log -t $name "GEOM provider /dev/hast/${disk} did not appear."
exit 1
fi
done

logger -p $log -t $name "Role for HAST resources ${resources} switched to primary."


logger -p $log -t $name "Mounting disks."
for disk in ${resources}; do
mkdir -p /hast/${disk}
fsck -p -y -t ufs /dev/hast/${disk}
mount /dev/hast/${disk} /hast/${disk}
done

;;

slave)
logger -p $log -t $name "Switching to secondary provider for ${resources}."

# Switch roles for the HAST resources
for disk in ${resources}; do
if ! mount | grep -q "^/dev/hast/${disk} on "
then
else
umount -f /hast/${disk}
fi
sleep $delay
hastctl role secondary ${disk} 2&gt;&amp;1
if [ $? -ne 0 ]; then
logger -p $log -t $name "Unable to switch role to secondary for resource ${disk}."
exit 1
fi
logger -p $log -t $name "Role switched to secondary for resource ${disk}."
done
;;
esac
In a nutshell, the script takes these actions when a node becomes master:
Promotes the <acronym>HAST</acronym> pool to primary on the other node.
Checks the file system under the <acronym>HAST</acronym> pool.
Mounts the pool.
When a node becomes secondary:
Unmounts the <acronym>HAST</acronym> pool.
Degrades the <acronym>HAST</acronym> pool to secondary.
This is just an example script which serves as a proof of concept. It does not handle all the possible scenarios and can be extended or altered in any way, for example, to start or stop required services.
For this example, a standard <acronym>UFS</acronym> file system was used. To reduce the time needed for recovery, a journal-enabled <acronym>UFS</acronym> or <acronym>ZFS</acronym> file system can be used instead.
More detailed information with additional examples can be found at <link xlink:href="http://wiki.FreeBSD.org/HAST">http://wiki.FreeBSD.org/HAST</link>.
<acronym>HAST</acronym> should generally work without issues. However, as with any other software product, there may be times when it does not work as supposed. The sources of the problems may be different, but the rule of thumb is to ensure that the time is synchronized between the nodes of the cluster.
When troubleshooting <acronym>HAST</acronym>, the debugging level of <citerefentry><refentrytitle>hastd</refentrytitle><manvolnum>8</manvolnum></citerefentry> should be increased by starting <command>hastd</command> with <literal>-d</literal>. This argument may be specified multiple times to further increase the debugging level. Consider also using <literal>-F</literal>, which starts <command>hastd</command> in the foreground.
Recovering from the Split-brain Condition
<firstterm>Split-brain</firstterm> occurs when the nodes of the cluster are unable to communicate with each other, and both are configured as primary. This is a dangerous condition because it allows both nodes to make incompatible changes to the data. This problem must be corrected manually by the system administrator.
The administrator must either decide which node has more important changes, or perform the merge manually. Then, let <acronym>HAST</acronym> perform full synchronization of the node which has the broken data. To do this, issue these commands on the node which needs to be resynchronized:
<prompt>#</prompt> <userinput>hastctl role init <replaceable>test</replaceable></userinput>
<prompt>#</prompt> <userinput>hastctl create <replaceable>test</replaceable></userinput>
<prompt>#</prompt> <userinput>hastctl role secondary <replaceable>test</replaceable></userinput>
GEOM: Modular Disk Transformation Framework GEOM: Modüler Disk Dönüştürme Çerçevesi
<primary><acronym>GEOM</acronym></primary> <primary><acronym>GEOM</acronym></primary>
<primary><acronym>GEOM</acronym> Disk Framework</primary> <see><acronym>GEOM</acronym></see> <primary><acronym>GEOM</acronym> Disk Çerçevesi</primary> <see><acronym>GEOM</acronym></see>
In FreeBSD, the <acronym>GEOM</acronym> framework permits access and control to classes, such as Master Boot Records and <acronym>BSD</acronym> labels, through the use of providers, or the disk devices in <filename>/dev</filename>. By supporting various software <acronym>RAID</acronym> configurations, <acronym>GEOM</acronym> transparently provides access to the operating system and operating system utilities. FreeBSD'de <acronym>GEOM</acronym> çerçevesi, Master Boot Records ve <acronym> BSD etiketleri</acronym> gibi türleri sağlayıcılar aracılığıyla veya <filename>dev'deki</filename> disk cihazları ile ulaşmanızı ve kontrol etmenize izin verir. <acronym>GEOM</acronym> Çeşitli <acronym>RAID konfigürasyonlarını destekleyerek şeffaf bir şekilde işletim sistemine ve işletim sistemi faydalarına erişimi sağlar.
This chapter covers the use of disks under the <acronym>GEOM</acronym> framework in FreeBSD. This includes the major <acronym>RAID</acronym> control utilities which use the framework for configuration. This chapter is not a definitive guide to <acronym>RAID</acronym> configurations and only <acronym>GEOM</acronym>-supported <acronym>RAID</acronym> classifications are discussed.
What type of <acronym>RAID</acronym> support is available through <acronym>GEOM</acronym>. <acronym>GEOM</acronym> aracılığıyla ne tür <acronym>RAID</acronym> desteği bulunur.
How to use the base utilities to configure, maintain, and manipulate the various <acronym>RAID</acronym> levels. çeşitli <acronym>RAID</acronym> seviyelerini konfigüre etmek, bakımını yapmak ve manipüle etmek için temel faydalar nasıl kullanılır.
How to mirror, stripe, encrypt, and remotely connect disk devices through <acronym>GEOM</acronym>. <acronym>GEOM</acronym> aracılığıyla disk aygıtlarını yansıtma, şeritleme, şifreleme ve uzaktan bağlama nasıl yapılır.
How to troubleshoot disks attached to the <acronym>GEOM</acronym> framework. <acronym>GEOM</acronym> çerçevesine bağlı disklerdeki sorunlar nasıl giderilir.
Understand how FreeBSD treats disk devices (<xref linkend="disks"/>). FreeBSD'nin disk cihazlarına nasıl davrandığını anlayın (<xref linkend="disks"/>).
Know how to configure and install a new kernel (<xref linkend="kernelconfig"/>). Yeni bir kernel'in nasıl yükleneceğini ve konfigüre edileceğini öğrenin(<xref linkend="kernelconfig"/>).

Loading…

No matching activity found.

Browse all component changes

Glossary

English Turkish (tr_TR)
argument parametre FreeBSD Doc
boot time önyükleme zamanı FreeBSD Doc
compilation time derleme zamanı FreeBSD Doc
debug hata ayıklamak FreeBSD Doc
debugging hata ayıklama FreeBSD Doc
multiple çoklu FreeBSD Doc
timeout, time out zaman aşımı FreeBSD Doc
troubleshooting sorun giderme FreeBSD Doc

Source information

Source string comment
(itstool) path: sect2/para
Source string location
book.translate.xml:37618
String age
8 months ago
Source string age
a year ago
Translation file
books/tr_TR/handbook.po, string 6271